Subject: bug#21695: 25.0.50; Change most occurrences of `setq' in Emacs manual to `customize-set-variable'? Really?

From: Richard Stallman <[email-masked]>
Date: Thu, 09 Sep 2021 23:41:29 -0400

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > > That's not an autoloaded variable (well, minor mode), so Emacs doesn't 
  > > know that it has a :set when .emacs is loaded.
  > >

  > Oh, I see.  You mean that setq'ing autoloaded variables, which are loaded 
  > before their .el files is loaded, can usually be setq'd, disregarding 
  > their :set property.  But I don't see how one could distinguish between 
  > those for which it is problematic and those for which is isn't.

Please see the solution I proposed in the past few days.

-- 
Dr Richard Stallman (https://stallman.org)
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)